## visad
Class ShapeControl

    java.lang.Object
      visad.Control
          visad.ShapeControl

All Implemented Interfaces:
  Cloneable, Serializable

public class ShapeControl
extends Control

ShapeControl is the VisAD class for controlling Shape display scalars.

See Also:
  Serialized Form

Nested Class Summary
`(package private) class` `ShapeControl.ProjectionControlListener`

Field Summary

Fields inherited from class visad.Control
`display, displayRenderer`

Constructor Summary
`ShapeControl(DisplayImpl d)`

Method Summary
`Object` `clone()`
`boolean` `equals(Object o)` Indicates whether or not this instance equals an Object
`String` `getSaveString()` get a string that can be used to reconstruct this control later
`float` `getScale()`
`VisADGeometryArray[]` `getShapes(float[] values)`
`void` `nullControl()` end this control (called by ScalarMap.nullDisplay())
`void` `setAutoScale(boolean auto)`
`void` `setSaveString(String save)` reconstruct this control using the specified save string
`void` `setScale(float s)`
`void` `setShape(int index, VisADGeometryArray shape)` set the shape associated with index; the VisADGeometryArray class hierarchy defines various kinds of shapes
`void` `setShapes(VisADGeometryArray[] shs)` Sets the array of shapes.
`void` `setShapeSet(SimpleSet set)` Sets the SimpleSet that defines the mapping from RealType values to indices into an array of shapes.
`void` `syncControl(Control rmt)` copy the state of a remote control to this control

Methods inherited from class visad.Control
`addControlListener, animation_string, changeControl, checkTicks, getDisplay, getDisplayRenderer, getIndex, getInstanceNumber, incTick, peekTicks, removeControlListener, resetTicks, setIndex, setInstanceNumber, setTicks, subCheckTicks, subPeekTicks, subResetTicks, subSetTicks, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShapeControl

    public ShapeControl(DisplayImpl d)

Method Detail

### setShapeSet

    public void setShapeSet(SimpleSet set)
                     throws VisADException,
                            RemoteException

  Sets the SimpleSet that defines the mapping from RealType values to indices into an array of shapes. This method must be called before the setShapes() method to avoid a subsequent NullPointerException in the running of the display.

  Parameters:
    `set` - 1-D set of values that defines the mapping from RealType values to indices into the array of shapes. The domain dimension shall be 1.
  Throws:
    `VisADException`
    `RemoteException`

### setShape

    public void setShape(int index,
                         VisADGeometryArray shape)
                  throws VisADException,
                         RemoteException

  set the shape associated with index; the VisADGeometryArray class hierarchy defines various kinds of shapes

  Throws:
    `VisADException`
    `RemoteException`

### setShapes

    public void setShapes(VisADGeometryArray[] shs)
                   throws VisADException,
                          RemoteException

  Sets the array of shapes. The array is accessed by index determined from the value-to-index mapping established by the `setShapeSet()` method. The VisADGeometryArray class hierarchy defines various kinds of shapes. This method must be called after the setShapeSet() method to avoid a subsequent NullPointerException in the running of the display.

  Parameters:
    `shs` - The array of shapes.
  Throws:
    `VisADException`
    `RemoteException`

### getShapes

    public VisADGeometryArray[] getShapes(float[] values)
                                   throws VisADException

  Throws:
    `VisADException`

### setScale

    public void setScale(float s)
                  throws VisADException,
                         RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getScale

    public float getScale()

### getSaveString

    public String getSaveString()

  get a string that can be used to reconstruct this control later

  Specified by:
    `getSaveString` in class `Control`
  Returns:
    String representation of this Control

### setSaveString

    public void setSaveString(String save)
                       throws VisADException,
                              RemoteException

  reconstruct this control using the specified save string

  Specified by:
    `setSaveString` in class `Control`
  Parameters:
    `save` - - String representation for reconstruction
  Throws:
    `VisADException` - if a VisAD error occurs
    `RemoteException` - if an RMI error occurs

### syncControl

    public void syncControl(Control rmt)
                     throws VisADException

  copy the state of a remote control to this control

  Specified by:
    `syncControl` in class `Control`
  Parameters:
    `rmt` - remote Control whose state is copied
  Throws:
    `VisADException` - if a VisAD error occurs

### setAutoScale

    public void setAutoScale(boolean auto)
                      throws VisADException

  Throws:
    `VisADException`

### nullControl

    public void nullControl()

  Description copied from class: `Control`
  end this control (called by ScalarMap.nullDisplay())

  Overrides:
    `nullControl` in class `Control`

### equals

    public boolean equals(Object o)

  Description copied from class: `Control`
  Indicates whether or not this instance equals an Object

  Overrides:
    `equals` in class `Control`
  Parameters:
    `o` - an Object
  Returns:
    true if and only if this instance is equal to o

### clone

    public Object clone()

  Overrides:
    `clone` in class `Control`
  Returns:
    a copy of this Control